<?php include (TEMPLATEPATH . '/header.php'); ?>

	<div id="page">

		<?php
		if (!isset($theme_options["layout_style"]) || $theme_options["layout_style"] == "scs") {
			include (TEMPLATEPATH . '/lsidebar.php');
		}
		?>

		<div id="content">

			<?php include (TEMPLATEPATH . '/topads.php'); ?>

			<?php /* If this is a category archive */ if (is_category()) { ?>				
			<h4 class="archiveTitle"><?php echo single_cat_title(); ?></h4>
			
			<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
			<h4 class="archiveTitle">Archivo para <?php the_time('j F Y'); ?></h4>
				
			<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
			<h4 class="archiveTitle">Archivo para <?php the_time('F, Y'); ?></h4>

			<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
			<h4 class="archiveTitle">Archivo para <?php the_time('Y'); ?></h4>
				
			<?php /* If this is an author archive */ } elseif (is_author()) { ?>
			<h4 class="archiveTitle">Archivo de Autor</h4>

			<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
			<h4 class="archiveTitle">Archivos de la bit&aacute;cora</h4>

			<!--do not delete-->
			<?php } ?>

		<?php if (have_posts()) : ?>
			<?php while (have_posts()) : the_post(); ?>
			<div class="post">
				<div class="postTitle"><h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2></div>
				<div class="postInfo">Enviado el <?php the_time('d F Y'); ?> en <?php the_category(', ') ?> <?php edit_post_link('editar', '(', ')'); ?></div>

				<div class="postContent">
				<?php the_excerpt(); ?>
				</div>

				<?php if(function_exists('the_tags')) { ?><div class="postExtras"><strong>Etiquetas:</strong> <?php the_tags('', ', ', ''); ?></div><?php } ?>
				
				<div class="postMeta">
					<span class="postLink"><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>">Leer artculo</a></span>
<?php
// comments code
include (TEMPLATEPATH . '/addcomment.php'); ?>
				</div>
			</div>
			<?php endwhile; ?>

<?php 
// navigation code
include (TEMPLATEPATH . '/navigation.php'); ?>

			<?php else: ?>
			No encontrado.
			<?php endif; ?>
		</div>

		<?php
		if (isset($theme_options["layout_style"]) && $theme_options["layout_style"] == "css") {
			include (TEMPLATEPATH . '/lsidebar.php');
		}
		?>

		<?php include (TEMPLATEPATH . '/rsidebar.php'); ?>

	</div>

<?php include (TEMPLATEPATH . '/footer.php'); ?>