<?php
$theme_options = get_option('SimpleBalance');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="es">

<head profile="http://gmpg.org/xfn/11">
    <meta name="verify-v1" content="/ezSIkMtOPf0Y/5qxW5inoULk9v+yyfRs5PIVqhGg3g=" />
    <meta name="ROBOTS" content="INDEX,FOLLOW"/>
    <meta name="revisit-after" content="1 days"/>
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<meta http-equiv="Content-Language" content="es" />

	<title><?php // bloginfo('name'); ?><?php wp_title('',true,'right'); ?></title>
    <meta name="author" content="David Carrero Fdez-Baillo y Jaime Carrero Fdez-Baillo">

	<?php if ($theme_options["hide_meta_gen"] == 0) { ?><meta name="generator" content="WordPress <?php bloginfo('version'); ?>" /><meta name="generator" content="Tema traducido por Carrero.es" /><?php } ?>

	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />

	<?php if (isset($theme_options["color_scheme"]) && $theme_options["color_scheme"] != "default") {
		$colorScheme = get_bloginfo('template_directory')."/schemes_".$theme_options["color_scheme"].".css";
	?>
	<link rel="stylesheet" href="<?php echo $colorScheme; ?>" type="text/css" media="screen" />
	<?php } ?>
	
	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
	<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
	<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	<link rel="shortcut icon" href="<?php bloginfo('url'); ?>/favicon.ico" />

	<?php wp_get_archives('type=monthly&format=link'); ?>

	<?php wp_head(); ?>
</head>

<body>
<div id="wrap">
	
	<div id="header">
		<div class="topLogo">
			<?php if (is_single() OR is_page()) { ?>
			<h2><a href="<?php echo get_settings('home'); ?>" title="<?php bloginfo('name'); ?>"><?php bloginfo('name'); ?></a></h2>
			<?php
			} else { ?>
			<h1><a href="<?php echo get_settings('home'); ?>" title="<?php bloginfo('name'); ?>"><?php bloginfo('name'); ?></a></h1>
			<?php }	?>
		</div>
		<div class="topMenu">
		<ul>
			<li<?php if (is_home()) { ?> class="current_page_item"<?php } ?>><a href="<?php echo get_settings('home'); ?>" title="<?php bloginfo('name'); ?>">Inicio</a></li><?php qbkl_nospace(wp_list_pages('include='.$theme_options["top_menu_pages"].'&sort_column=menu_order&depth=1&title_li=')); ?>
		</ul>
		</div>

		<div class="topSearch">
			<form method="get" name="searchform" id="searchform" action="<?php bloginfo('home'); ?>" method="get" onsubmit="location.href='<?php bloginfo('home'); ?>/search/' + encodeURIComponent(this.s.value).replace(/%20/g, '+'); return false;">
				<input type="text" value="Buscar en blog..." name="s" class="s" onfocus="if (this.value == 'Buscar en blog...') {this.value = '';}" onblur="if (this.value == '') {this.value = 'Buscar en blog...';}" />
				<a href="javascript:document.searchform.submit();" class="searchSubmit">Buscar</a>
			</form>
		</div>
		<div class="bottomDes">
			<?php if ($theme_options["display_description"] == 1) { ?><span class="blogDescription"><?php bloginfo('description'); ?></span><?php } ?>	
        </div>
	</div>	