<?php include (TEMPLATEPATH . '/header.php'); ?>

	<div id="page">

		<?php
		if (!isset($theme_options["layout_style"]) || $theme_options["layout_style"] == "scs") {
			include (TEMPLATEPATH . '/lsidebar.php');
		}
		?>

		<div id="content">

			<?php include (TEMPLATEPATH . '/topads.php'); ?>

			<h4 class="archiveTitle">Resultados de b&uacute;squeda para <strong>'<?php echo $s?>'</strong></h4>

		<?php if (have_posts()) : ?>
			<?php while (have_posts()) : the_post(); ?>
			<div class="post">
				<div class="postTitle"><h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2></div>
				<div class="postInfo">Enviado el <?php the_time('d F Y'); ?> en <?php the_category(', ') ?> <?php edit_post_link('edit', '(', ')'); ?></div>

				<div class="postContent">
				<?php the_excerpt(); ?>
				</div>

				<?php if(function_exists('the_tags')) { ?><div class="postExtras"><strong>Etiquetas:</strong> <?php the_tags('', ', ', ''); ?></div><?php } ?>
				
				<div class="postMeta">
					<span class="postLink"><a href="<?php the_permalink() ?>" title="<?php the_title(); ?>">Leer art&iacute;culo</a></span>
<?php
// comments code
include (TEMPLATEPATH . '/addcomment.php'); ?>
				</div>
			</div>
			<?php endwhile; ?>

<?php 
// navigation code
include (TEMPLATEPATH . '/navigation.php'); ?>

			<?php else: ?>
			No hemos encontrado resultados para las b&uacute;squeda solicitada.<br />
			Por favor intentalo de nuevo con otro t&wacute;rmino para buscar o utilizar nuestros men&uacute;s de navegaci&oacute;n para encontrar la informaci&oacute;n que necesitas.
			<?php endif; ?>
		</div>

		<?php
		if (isset($theme_options["layout_style"]) && $theme_options["layout_style"] == "css") {
			include (TEMPLATEPATH . '/lsidebar.php');
		}
		?>

		<?php include (TEMPLATEPATH . '/rsidebar.php'); ?>

	</div>

<?php include (TEMPLATEPATH . '/footer.php'); ?>